Jump to content


Photo

Update Problem


  • Please log in to reply
4 replies to this topic

#1 evhatfield

evhatfield

    Member

  • Active Members
  • Pip
  • 16 posts
  • Gender:Male
  • Accordance Version:10.x

Posted 25 May 2013 - 07:06 PM

I just did a content update and now I can't open any of my workspaces because they use the ESVS.  I get a message that states:  "The file "ESVS" is no longer available to Accordance."  I think my ESVS was version 3.1 and the new version was supposed to be 3.2.

 

I am on Accordance 10.1.5 downloaded from the App Store.  My Mac OSX version is 10.8.3.



#2 evhatfield

evhatfield

    Member

  • Active Members
  • Pip
  • 16 posts
  • Gender:Male
  • Accordance Version:10.x

Posted 25 May 2013 - 07:51 PM

I was able to fix the issue.  I went into where the resources are located and found an ESVS.atext file.  I discovered that this file is a package containing the ESVS file.  I opened the package contents, copied the file, and pasted it into the folder with the rest of the texts.

 

My main question now is, why did it happen?  Another question is:  is it ok to delete the ESVS.atext file?

 

None of the other files had a problem updating.  I don't think I had any of the other files open at the time update.  Maybe this was the problem.  Just guessing.



#3 Ken Simpson

Ken Simpson

    Platinum

  • Accordance
  • 1,330 posts
  • Gender:Male
  • Location:Sydney, Australia
  • Interests:Astronomy
    Archaeology
    Physics
    Hebrew and Greek
    Papyrology
    Surgeon
  • Accordance Version:10.x

Posted 25 May 2013 - 11:21 PM

Hi,

The atext file is the new accordance format for PCO compatible cross-platform files. (atext for texts, and atool for tools)

 

I don't know if you will have broken anything by doing what you've done, but the recommended thing to do is

Remove it from your library by right clicking and selecting 'remove item' from the drop down menu.

Then readd the tool by pressing the "+" button in the bottom left of the library pane and selecting "add new modules", then navigating to the atool and adding it back in.

 

I have found that sometimes this does not work, but if you delete the entry and you delete the file, then you can reinstall using easy install this has always worked when I have done it..


Edited by Ken Simpson, 25 May 2013 - 11:45 PM.


#4 Helen Brown

Helen Brown

    Mithril

  • Admin
  • 8,026 posts
  • Gender:Female
  • Location:heart in Israel
  • Accordance Version:10.x

Posted 26 May 2013 - 05:18 AM

Do NOT delete the .atext file. The new format for modules will also enable us to provide more information for Library searches, Bibliography, etc. We have big plans for it. In the meantime we will look into why this specific module upgrade is causing issues for people. Ken's suggested fix is correct.


Helen Brown
OakTree Software

#5 evhatfield

evhatfield

    Member

  • Active Members
  • Pip
  • 16 posts
  • Gender:Male
  • Accordance Version:10.x

Posted 26 May 2013 - 06:36 AM

I did what Ken suggested and it works properly now.  Thanks for the help.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users